Name:                cryptacular
Version:             1.2.4
Release:             1
Summary:             Java Library that complement to the Bouncy Castle crypto API
License:             ASL 2.0 or LGPLv3
URL:                 http://www.cryptacular.org/
Source0:             https://github.com/vt-middleware/cryptacular/archive/v%{version}.tar.gz
BuildRequires:       maven-local mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:       mvn(org.bouncycastle:bcprov-jdk15on) mvn(org.testng:testng)
BuildArch:           noarch

%description
Cryptacular in a nutshell:
° Utilities to perform common crypto operations (hash, encrypt, encode).
° Stateful, thread-safe bean components.
° Components to facilitate strict adherence to standards.
° Comprehensive documentation and examples.

%package help
Summary:             Documents for %{name}
Provides:            %{name}-javadoc = %{version}-%{release}
Obsoletes:           %{name}-javadoc < %{version}-%{release}

%description help
This package contains man pages and other related documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"
%pom_remove_plugin :maven-checkstyle-plugin
%mvn_file org.%{name}:%{name} %{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE LICENSE-apache2 LICENSE-lgpl NOTICE

%files help -f .mfiles-javadoc
%license LICENSE LICENSE-apache2 LICENSE-lgpl NOTICE

%changelog
* Wed Dec 29 2021 wangkai <wangkai385@huawei.com> - 1.2.4-1
* Update to 1.2.4

* Thu Feb 25 2021 zhanghua <zhanghua40@huawei.com> - 1.1.0-2
- fix CVE-2020-7226 and fix build error by using Java8

* Fri Aug 14 2020 leiju <leiju4@huawei.com> - 1.1.0-1
- Package init
